Author Topic: Upgrade 2.8.1 auf neueste Version  (Read 438 times)

Offline inani73

  • Posts: 3
Upgrade 2.8.1 auf neueste Version
« on: April 09, 2018, 08:08:32 PM »
Hallo zusammen,

ich bin ganz neu in diesem Forum und hoffe auf Eure Hilfe!
2012 (!) habe ich eine Website erstellt auf Basis des Websitebakers - Version 2.8.1
Eine letzte inhaltliche Änderung habe ich anscheinend 2014 durchgeführt -
seitdem kein Einloggen und keine Änderungen mehr.
Mittlerweile habe ich natürlich auch einen neuen Rechner (Windows 10).

Nun muss ich doch wieder an den Inhalten arbeiten, möchte aber sinnvollerweise auf die neueste Version des Websitebakers upgraden. Einfache (und doch so komplizierte! :|) Frage: Wie mache ich das?

Wie sichere ich die alte Version? Muss ich php oder sql  oder xampp oder irgendwas auf meinem Rechner installieren?
Bin leider was das alles angeht absoluter Laie und weiß schon gar nicht mehr, was ich damals alles gemacht habe :(

Eine SIMPLE Anleitung wäre toll!!!
Vielen lieben Dank schon mal in die Runde!

LG, Ina


Offline dbs

  • Betatester
  • **
  • Posts: 7553
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Upgrade 2.8.1 auf neueste Version
« Reply #1 on: April 09, 2018, 08:27:18 PM »
Hallo, hier wirst du fündig:
https://forum.WebsiteBaker.org/index.php/topic,23658.msg160358.html#msg160358

Dein Weg führt über 2.8.3 zu 2.10 und dann zu 2.11

Offline inani73

  • Posts: 3
Re: Upgrade 2.8.1 auf neueste Version
« Reply #2 on: April 10, 2018, 06:04:45 PM »
Hallo lieber dbs,

vielen lieben Dank für die Hilfestellung und den Link.

Mittlerweile habe ich das Upgrade geschafft von:
- 2.8.1 auf 2.8.3 - völlig problemlos; nur das Kontaktformular war nicht mehr korrekt -
  aber das hatte ich glaube ich auch irgendwo gelesen, dass das passieren wird?!; alles andere hat geklappt;
  sowohl die Seite war weiterhin korrekt online zu sehen, und ich konnte mich ins Backend einloggen;

- 2.8.3 auf 2.10.0 - bis zu dem Punkt, an dem ich die ganzen Dateien per FTP übertragen habe;
  Übertragung fehlerlos :)
  allerdings kommt jetzt sowohl online als auch beim Versuch das Backend aufzurufen der Hinweis:
  WebsiteBaker is not able to run with PHP-Version less then 5.6.0!!
  Please change your PHP-Version to any kind from 5.6.0 and up!
  If you have problems to solve that, ask your hosting provider for it.
  The very best solution is the use of PHP-7.0 and up


Wo genau muss diese PHP-Version aktualisiert werden?
Durch den Domain-Hoster/Provider? Oder muss ICH irgendwas installieren und auf meinem Rechner umstellen?
Oder wie genau? ... Sorry, aber wie gesagt, ich bin hier absoluter Laie ...
Ich bitte nochmals um eine Hilfestellung ...

Vielen Dank!!


Offline dbs

  • Betatester
  • **
  • Posts: 7553
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Upgrade 2.8.1 auf neueste Version
« Reply #3 on: April 10, 2018, 06:31:24 PM »
Hi, ja, bei deinem Hoster bzw. in deinem Account solltest du die PHP Version umstellen können.
Hoffentlich bietet dein Hoster 7.0 an.
Falls auch PHP 7.1 angeboten wird, mach das lieber erst, wenn du auf 2.11 upgraden willst.

Offline inani73

  • Posts: 3
Re: Upgrade 2.8.1 auf neueste Version
« Reply #4 on: April 11, 2018, 09:47:02 AM »
Oh weh, na ganz toll!!! Website läuft bei web.de, und die bieten keine höhere Version als PHP 5.irgendwas :(,
zumindest für bestehende Domain-Verträge nicht!
Nu muss also erst ein Domain-Umzug zu einem anderen Anbieter stattfinden ...
Kann dauern. Falls ich dann nochmal Hilfe brauche melde ich mich hier wieder.
Dir erstmal nochmal ein ganz dickes Dankeschön, dbs!!  :-)

 

postern-length